-- hytech input file

-- water level monitor

-- from Hybrid workshop 93


var
     x: clock;
      y:analog;

automaton water
synclabs:;
initially on_0 & y=1;

loc on_0: while y<=10 wait {dy=1}
   when y=10 do {x' = 0} goto on_1;


loc on_1: while x<=2 wait {dy=1}
  when x=2 goto off_0;

loc off_0: while y>=5 wait {dy=-2}
  when y=5 do {x' = 0} goto off_1;

loc off_1: while x<=2 wait {dy=-2}
  when x=2 goto on_0;
end

var init_reg, final_reg, b_reachable, f_reachable, property: region;

init_reg := loc[water] = on_0 & y=1;
final_reg :=  y<=1 | y>=12;
property := y>=1 & y<=12;

f_reachable := reach forward from init_reg endreach;


if f_reachable <= property 
  then prints "System satisfies non-leaking duration property";
  else prints "System does not satisfy non-leaking duration property";
endif;
