#ifndef __OUTPUT_H
#define __OUTPUT_H
#include <stdlib.h>
#include <ctype.h>
#include "include.h"
#include "location.h"


#ifdef __cplusplus
extern "C" {
#endif

extern int matrix_print; /* a flag that matrices are being printed */

void print_var_names1(void);
void print_vars(struct var_name * x);
void print_var_names(void);
void print_sync_names(void);
void pw(struct _p_vector * x);
void print_vect(void);
void pm(struct _p_matrix * x);
void print_matrices(void);
void print_loc_slopes(struct info_location * loc);
void print_assignments(struct info_assign * x);
void print_transitions(struct info_transition * trans);
void pl(struct info_location * loc);
void print_locations(void);

#ifdef __cplusplus
}
#endif


#endif
