-- billiards example, see TCS paper

-- hytech input file

define(vx,2)
define(vy,1)
define(xg,0)
define(yg,0)
define(xw,10)
define(yw,8)
define(leng,13)
define(ht,10)
define(period,260)

var
	x,
	y: analog;    -- coordinates of ball
t:clock;

automaton billiards
synclabs:;
initially northeast & x=xg & y = yg & t=0;


loc northeast: while 0<=x& x<=leng &0<=y& y<=ht & t>=0 wait {dx=vx,dy=vy}
  when x=leng goto northwest;
  when y=ht   goto southeast;

loc northwest: while x>=0 & x<=leng  &0<=y& y<=ht & t>=0 wait {dx=-vx,dy=vy}
  when x=0    goto northeast;
  when y=ht   goto southwest;

loc southeast: while 0<=x & x<=leng & y>=0 &y<=ht & t>=0 wait {dx=vx,dy=-vy}
  when x=leng goto southwest;
  when y=0    goto northeast;

loc southwest: while x>=0 & x<=leng & y>=0&y<=ht & t>=0 wait {dx=-vx, dy=-vy}
  when x=0    goto southeast;
  when y=0    goto northwest;

end

var 
  at_white,
   init_at_grey,
  active, f_reached,
   reached: region;

at_white := x=xw & y=yw;
init_at_grey := x=xg & y=yg;


reached := reach backward from at_white & t<=period endreach;

--  reached := reach backward from at_white endreach;

-- print reached;

prints "All the positions reached";

print omit all locations hide t in reached endhide;

