/* basic C file header for common routines, used by both the C and C++ code */

#ifndef __BASIC_H
#define __BASIC_H

#include <stdio.h>
#include <stdlib.h>  /* added 4/26/96 for DEC ALPHA consistency with malloc */
#include <malloc.h>
#include <string.h>


#ifdef __cplusplus
extern "C" {
#endif


#ifndef FALSE
#define FALSE 0
#endif

#ifndef TRUE
#define TRUE 1
#endif


/* return ptr to a copy of the string */
char * str_preserve(char *str);

void clear_int_array(int *a, int nr_elts);

void print_array(int *arr, int nr);

void my_pause(int k);

enum directions {PRE, POST};

enum directions opp_dirn(enum directions dir);

/* searches first size elts of arr for the key, returns -1 if not found */ 
int string_pos(char *key, char **arr, int size); 

#ifdef __cplusplus
}
#endif

#endif

